Having Trouble Building Blender 2.8 in Fedora 29

The main issue here is that I can’t seem to get all the dependencies to build. The one I’m having the biggest trouble with is openCOLLADA. There may be other issues like with LLVM but when I run install-deps.sh I get the following error:

...
[ 21%] Built target MathMLSolver_static
[ 21%] Linking CXX static library ../lib/libDAEValidatorLibrary.a
[ 21%] Built target DAEValidatorLibrary
make: *** [Makefile:130: all] Error 2
ERROR! OpenCOLLADA-1.6.68 failed to compile, exiting

Forcing the build does not seem to do anything. I have also tried deleting the dependences and trying again but that doesn’t seem to work.
Now I know it’s not totally necessary but I would like to be able to make the full version of Blender.

Does this have anything to do with the fact that the current openCOLLADA package in the Fedora repos is 1.6.63? I noticed it was already installed but I assume there should not be any conflicts.

Are there any ways to get all the dependencies?

I never built on Fedora but I remember there were times I had trouble with the build deps script in arch. Back then I simply installed them by hand. The deps are listed in the build instructions.

I have thought about doing that but I want to make sure I don’t get more headaches in the future. Maybe I’ll just have to resort to this.

You may just skip OpenCOLLADA building when running install-deps script.
It is absolutely not crucial to run 2.8 beta.
It is just one file format to import/export 3D data among others.
Although it is a big part of your workflow, it is nothing compared to WIP of Blender tools.

But if building of your library fails, meaningful info will be the Error 1 message, not the Error 2 message.